/* CSS reset */
*,*::before,*::after{box-sizing:border-box}*:not(dialog){margin:0}@media (prefers-reduced-motion:no-preference){html{interpolate-size:allow-keywords}}body{line-height:1.5;-webkit-font-smoothing:antialiased}img,picture,video,canvas,svg{display:block;max-width:100%}input,button,textarea,select{font:inherit}p,h1,h2,h3,h4,h5,h6{overflow-wrap:break-word}p{text-wrap:pretty}h1,h2,h3,h4,h5,h6{text-wrap:balance}#root,#__next{isolation:isolate}

/* Global */
:root {
    --clr-accent: hsl(334, 46%, 37%);
    --clr-accent-hover: hsl(334, 46%, 27%);
    --clr-accent-dark: #0F262F;
}

html {
    height: 100%;
}

body {
    position: relative;
    min-height: 100%;
    height: auto;
    font-family: 'Catamaran', sans-serif;
    font-size: 1rem;
    line-height: 1em;
    background-color: #F3F1F1;
}

h1 {
    font-family: 'Arsenal', sans-serif;
    line-height: 1em;
}

p {
    line-height: 1.5em;
}

small {
    font-size: 0.85rem;
}

.container {
    display: flex;
    width: min(90%, 1000px);
    margin-inline: auto;
}

@media (max-width:1024px) {
    .container.large {
        width: 100%;
        margin: 0;
        padding-inline: 5%;
    }
}

/* Header */
header {
    background-color: white;
    padding-top: 75px;
    padding-bottom: 75px;
}

header img {
    display: block;
    height: 75px;
    width: auto;
    margin-inline: auto;
}

.languages {
    position: absolute;
    top: 15px;
    left: 50%;
    display: flex;
    gap: 1rem;
    transform: translateX(-50%);
}

.languages a {
    padding: 0.25em 0;
    color: lightgray;
    font-family: 'Arsenal', sans-serif;
    font-size: 0.85rem;
    text-decoration: none;
    text-transform: uppercase;
}

.languages a.active {
    color: black;
    border-bottom: 1px solid var(--clr-accent);
}

@media (min-width:1024px) {
    header {
        padding-top: 100px;
        padding-bottom: 200px;
    }

    header img {
        height: 100px;
    }
}

/* Main */
main {
    padding-bottom: 150px;
}

#coming-soon {
    display: flex;
    justify-content: center;
    height: 200px;
    margin-bottom: min(5vh, 75px);
    font-family: 'Arsenal', sans-serif;
    text-transform: uppercase;
    background-image: url("/images/texture.webp");
    background-size: cover;
    background-position: center;
    border-top: 10px solid var(--clr-accent);
    border-bottom: 10px solid var(--clr-accent);
    color: white;
}

#coming-soon > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    font-size: 2.5rem;
    line-height: 0.75em;
}

#coming-soon > div > div {
    display: flex;
    align-items: center;
    gap: 1rem;
    width: min(100%, 350px);
    margin-bottom: 0.25rem;
}

#coming-soon span {
    display: flex;
    flex: 0 1 auto;
    width: min(100%, 50px);
    height: 1px;
    background-color: hsl(0, 0%, 100%, 0.25);
}

#coming-soon small {
    display: flex;
    justify-content: center;
    flex: 1 0 auto;
    font-size: 1rem;
}

@media (min-width:1024px) {
    #coming-soon {
        position: relative;
        z-index: 2;
        top: -100px;
        margin-bottom: 0;
    }
}

#home {
    display: flex;
    flex-direction: column;
    gap: min(5vh, 75px);
}

#home .content strong {
    display: block;
    margin-top: 1em;
    font-family: 'Arsenal', sans-serif;
    text-transform: uppercase;
}

#home .splitter {
    width: 50%;
    height: 1px;
    margin-inline: auto;
    background-color: hsl(0, 0%, 0%, 0.1);
}

form {
    margin-top: 1rem;
}

form > div {
    display: flex;
    width: 100%;
}

form input {
    --webkit-appeatance: none;
    --moz-appearance: none;
    appearance: none;
    flex: 1 0 auto;
    width: auto;
    height: 50px;
    padding: 1em;
    border: 0;
    background-color: #d9d9d9;
    transition: background-color 500ms ease;
}

form input:focus {
    outline: none;
    background-color: white;
}

form button {
    flex: 0 1 auto;
    width: 50px;
    height: 50px;
    color: white;
    background-color: var(--clr-accent);
    border: 0;
    cursor: pointer;
}

@media (pointer:fine) {
    form button {
        transition: background-color 500ms ease;
    }

    form button:hover {
        background-color: var(--clr-accent-hover);
    }
}

#home .disclaimer {
    display: block;
    margin-top: 0.25rem;
    margin-bottom: 1rem;
    color: hsl(0, 0%, 0%, 0.5);
}

#home .contact img {
    display: block;
    width: auto;
    height: 90px;
    margin-bottom: 2rem;
}

#home .contact {
    font-family: 'Arsenal', sans-serif;
}

#home .contact > div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#home .contact strong {
    font-weight: bold;
    margin-right: 1rem;
}

footer {
    position: absolute;
    display: flex;
    align-items: center;
    bottom: 0;
    width: 100%;
    height: 75px;
    background-color: var(--clr-accent-dark);
    color: white;
}

footer > div {
    display: flex;
    justify-content: center;
}

footer small {
    font-size: 0.65rem;
}

@media (min-width:1024px) {
    #home {
        flex-direction: row;
        gap: 175px;
    }

    #home > * {
        align-items: stretch;
    }

    #home .content {
        flex: auto;
        width: min(100%, 450px);
    }

    #home .splitter {
        display: flex;
        align-items: stretch;
        width: 1px;
        min-height: 100%;
        height: auto;
        margin: 0;
    }

    #home .contact {
        flex: 0 1 auto;
    }
}